## austin 0.7.0

=== debian/changelog ===
austin (0.7.0-1) unstable; urgency=medium

  * Austin can now profile memory usage and output samples to a file.

 -- Gabriele N. Tornetta <phoenix1987@gmail.com>  Sun, 28 Jul 2019 12:55:00 +0100

austin (0.6.1~beta-1) unstable; urgency=medium

  * Initial release (Closes: #918518)

 -- Gabriele N. Tornetta <phoenix1987@gmail.com>  Fri, 04 Jan 2019 23:13:40 +0000

## austin 1.0.0

=== debian/changelog ===
austin (1.0.0-1) unstable; urgency=medium

  * Added support for multi-process Python applications
  * Added support for Python 3.8
  * Fixed support for WSL

 -- Gabriele N. Tornetta <phoenix1987@gmail.com>  Sun, 20 Oct 2019 17:10:00 +0100

## austin 3.7.0

=== test/requirements.txt ===
austin-python~=1.6
flaky
pytest
pytest-xdist

# C unit tests
pycparser

# Support tests
psutil
requests

## austin 1.0.1

=== debian/changelog ===
austin (1.0.1-2) unstable; urgency=medium

  Enhanced test sources. Closes: #962001.

 -- Gabriele N. Tornetta <phoenix1987@gmail.com>  Fri, 05 Jun 2020 17:24:00 +0100

austin (1.0.1-1) unstable; urgency=medium

  * Fixed support for Python 3.8

 -- Gabriele N. Tornetta <phoenix1987@gmail.com>  Sat, 16 May 2020 12:36:00 +0100

=== debian/control ===
Source: austin
Section: devel
Priority: optional
Maintainer: Gabriele N. Tornetta <phoenix1987@gmail.com>
Build-Depends: debhelper (>= 11~),
 bats,
 valgrind,
 python3 (>= 3.3)
Standards-Version: 4.4.0
Homepage: https://github.com/P403n1x87/austin
Vcs-Git: https://github.com/P403n1x87/austin
Vcs-Browser: https://github.com/P403n1x87/austin

Package: austin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Frame stack sampler for CPython
 Austin is a Python frame stack sampler for CPython written in pure C. It
 samples the stack traces of a Python application so that they can be visualised
 and analysed. As such, it serves the basis for building powerful profilers for
 Python.
 .
 The most interesting use of Austin is probably in conjunction with FlameGraph
 to profile Python applications while they are running, without the need of
 instrumentation. This means that Austin can be used on production code with
 little or even no impact on performance.

=== debian/tests/control ===
Test-Command: bats test/test.bats
Depends: bats, valgrind
Restrictions: needs-root

## austin 2.1.1

=== debian/changelog ===
austin (2.1.1-1) experimental; urgency=medium

  Improved general Python support on all the supported platforms.

  Allowed specifying argument for time-like parameters using units (e.g. 10ms).

  Error reporting has been made more accurate and informative.
  
  Bugfix: Fixed line number reporting.

  Bugfix: Fix symbol name clash on BSD systems with strtonum.

 -- Gabriele N. Tornetta <phoenix1987@gmail.com>  Wed, 30 Dec 2020 23:53:00 +0100

austin (2.0.0-1) unreleased; urgency=medium

  Substantial performance improvements. Austin 2 can sample deep call stacks
  5 to 8 times faster than previous versions.

  Support for Python 3.9.

  Added the exposure option to instruct Austin to sample for a given number of
  seconds only.

 -- Gabriele N. Tornetta <phoenix1987@gmail.com>  Thu, 08 Oct 2020 15:11:00 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
  python3 (>= 3.3)
 Standards-Version: 4.4.0
 Homepage: https://github.com/P403n1x87/austin
-Vcs-Git: https://github.com/P403n1x87/austin
+Vcs-Git: https://github.com/P403n1x87/austin -b packaging/debian
 Vcs-Browser: https://github.com/P403n1x87/austin
 
 Package: austin
-Architecture: any
+Architecture: amd64 arm64 i386 mips64el ppc64 ppc64el s390x
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Frame stack sampler for CPython
  Austin is a Python frame stack sampler for CPython written in pure C. It

## austin 3.7.0

=== debian/changelog ===
austin (3.7.0-7) unstable; urgency=medium

  * Cope with ieee128 long double redirection on ppc64el.

 -- Colin Watson <cjwatson@debian.org>  Thu, 18 Sep 2025 15:15:49 +0100

austin (3.7.0-6) unstable; urgency=medium

  * Support C23 in GCC 15 (thanks, Stefano Rivera; closes: #1114057).

 -- Colin Watson <cjwatson@debian.org>  Fri, 12 Sep 2025 11:25:17 +0100

austin (3.7.0-5) unstable; urgency=medium

  * Build-depend on libsframe-dev for -lsframe (closes: #1110821).

 -- Colin Watson <cjwatson@debian.org>  Mon, 11 Aug 2025 11:38:38 +0100

austin (3.7.0-4) unstable; urgency=medium

  * Disable austinp test on riscv64 for now.

 -- Colin Watson <cjwatson@debian.org>  Mon, 26 May 2025 01:41:00 +0100

austin (3.7.0-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Generate a -dbgsym package
  * Fix i386 segfault
  * Fix gettime() truncation on 32bit time64 architectures (closes:
    #1106149).
  * autopkgtest: Disable austinp test for most architectures

 -- Colin Watson <cjwatson@debian.org>  Tue, 20 May 2025 17:40:41 +0100

austin (3.7.0-2) unstable; urgency=medium

  * Switch back to Architecture: any.

 -- Colin Watson <cjwatson@debian.org>  Thu, 15 May 2025 18:08:53 +0100

austin (3.7.0-1) unstable; urgency=medium

  [ Colin Watson ]
  * Adopt for the Debian Python Team and move Vcs-* to salsa (closes:
    #1103902).

  [ Helmut Grohne ]
  * New upstream version 3.7.0 (Closes: #1103802)

 -- Colin Watson <cjwatson@debian.org>  Thu, 15 May 2025 10:57:44 +0100

=== debian/control ===
Source: austin
Section: devel
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Gabriele N. Tornetta <phoenix1987@gmail.com>,
 Colin Watson <cjwatson@debian.org>,
Build-Depends:
 binutils-dev <!pkg.austin.noptrace>,
 debhelper-compat (= 13),
 gdb <!nocheck>,
 help2man <!nodoc>,
 inkscape <!nodoc>,
 libiberty-dev <!pkg.austin.noptrace>,
 liblzma-dev <!pkg.austin.noptrace>,
 libsframe-dev <!pkg.austin.noptrace>,
 libunwind-dev <!pkg.austin.noptrace>,
 libzstd-dev <!pkg.austin.noptrace>,
 python3 (>= 3.8),
 python3 (<< 3.14~),
 python3-pycparser <!nocheck>,
 python3-pytest <!nocheck>,
 valgrind-if-available <!nocheck>,
 zlib1g-dev <!pkg.austin.noptrace>,
Standards-Version: 4.4.0
Homepage: https://github.com/P403n1x87/austin
Vcs-Browser: https://salsa.debian.org/python-team/packages/austin
Vcs-Git: https://salsa.debian.org/python-team/packages/austin.git

Package: austin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3 (>= 3.8), python3 (<< 3.14~)
Description: Frame stack sampler for CPython
 Austin is a Python frame stack sampler for CPython written in pure C. It
 samples the stack traces of a Python application so that they can be visualised
 and analysed. As such, it serves the basis for building powerful profilers for
 Python.
 .
 The most interesting use of Austin is probably in conjunction with FlameGraph
 to profile Python applications while they are running, without the need of
 instrumentation. This means that Austin can be used on production code with
 little or even no impact on performance.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

%:
	dh $@ --buildsystem=autoconf

execute_before_dh_auto_build:
	touch src/austin.1  # needed by make, will be overwritten by doc/gen.sh

override_dh_auto_build:
# Passing --enable-debug-symbols would also -DDEBUG.
	dh_auto_build -- STRIP_FLAGS=

ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
execute_after_dh_auto_build:
	mkdir -p debian/doc-home
	HOME=$(CURDIR)/debian/doc-home ./doc/gen.sh
else
execute_after_dh_link:
	rm -Rf debian/austin/usr/share/man
endif

override_dh_auto_test:
# This is not testing austin, but it's better than nothing.
# pycparser fails parsing __float128 on 32bit architectures.
ifneq ($(DEB_HOST_ARCH_BITS),32)
	pytest -sv test/cunit
endif
# We would also like to run functional and integration tests, but those require
# austin-python.

=== debian/tests/control ===
Test-Command: ./debian/tests/smoke.sh austin
Depends: austin
Restrictions: allow-stderr

Test-Command: ./debian/tests/smoke.sh austinp
# Temporarily bypass austinp tests on most architectures as they're known broken. #1106096
Architecture: amd64 arm64 ppc64el
Depends: austin
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/austin-$1\.tar\.gz/, \
  uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/" \
  https://github.com/P403n1x87/austin/tags .*/v?(\d\S+)\.tar\.gz
